Package org.gradle.api.reporting

# Interface ConfigurableReport

All Superinterfaces:
  `Configurable<Report>`, `Report`

All Known Subinterfaces:
  `CustomizableHtmlReport`, `DirectoryReport`, `JUnitXmlReport`, `SingleFileReport`

public interface ConfigurableReport extends Report
A file based report to be created with a configurable destination. Note this is a legacy type which offers no additional functionality. Reports should implement `Report` directly instead of using this interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

  `Report.OutputType`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.reporting.Report

  `NAMER`

- ## Method Summary

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.reporting.Report

  `getDisplayName, getName, getOutputLocation, getOutputType, getRequired`